Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## calhoun.analysis.crf.features.supporting.phylogenetic
Class PhylogeneticTreeFelsensteinOrder

    java.lang.Object
      calhoun.analysis.crf.features.supporting.phylogenetic.PhylogeneticTreeFelsensteinOrder

All Implemented Interfaces:
  java.io.Serializable

    public class PhylogeneticTreeFelsensteinOrder

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`PhylogeneticTreeFelsensteinOrder()`
`PhylogeneticTreeFelsensteinOrder(int[] ileft, int[] iright, double[] bleft, double[] bright)`

Method Summary
`double[]` | `getbleft()`
`double[]` | `getbright()`
`int[]` | `getileft()`
`int[]` | `getiright()`
`int` | `numNodes()`
`int` | `numSpecies()`
`int` | `numSteps()`
`void` | `summarize()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PhylogeneticTreeFelsensteinOrder

    public PhylogeneticTreeFelsensteinOrder()

### PhylogeneticTreeFelsensteinOrder

    public PhylogeneticTreeFelsensteinOrder(int[] ileft,
                                            int[] iright,
                                            double[] bleft,
                                            double[] bright)

Method Detail

### summarize

    public void summarize()
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### numSpecies

    public int numSpecies()

### numSteps

    public int numSteps()

### numNodes

    public int numNodes()

### getileft

    public int[] getileft()

### getiright

    public int[] getiright()

### getbleft

    public double[] getbleft()

### getbright

    public double[] getbright()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD